<!-- Inherits from layout.html -->
{% extends "layout.html" %}
<!-- The block content replace the one encapsulated in
layout.html -->

{% block content %}







<div class="row my-5">

    <div style="display:flex;flex-direction:row;justify-content: space-between;width:100%;padding:0 100px 30px 100px" >
        <div>

            <h3>History</h3>
        </div>

        <div style = "display:flex;flex-direction:row;column-gap:20px;">
            <form name="logout" action="/logout" method="POST" novalidate >
                <input type="hidden" name="id">
                <input type="submit" class="form-control btn-info" value="Logout">
            </form>
            <form name="remove_all_entry" action="/removeEntries" method="POST" novalidate >
                <input type="hidden" name="id">
                <input type="submit" class="form-control btn-danger" value="Delete All">
            </form>
        </div>

    </div>

    <!-- age,sex,bmi,children,smoker,region -->

    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Age</th>
                <th scope="col">Sex</th>
                <th scope="col">BMI</th>
                <th scope="col">Children</th>
                <th scope="col">Smoker</th>
                <th scope="col">Region</th>
                <th scope="col">Charges</th>
                <th scope="col">Predicted At</th>
                <th scope="col">Delete</th>
            </tr>
        </thead>
        <tbody>

            {% for entry in entries %}
            <tr>
                <th scope="row">{{ entry.id }}</th>
                <td>{{ entry.age }}</td>
                <td>{{ entry.sex }}</td>
                <td>{{ entry.bmi }}</td>
                <td>{{ entry.children }}</td>
                <td>{{ entry.smoker }}</td>
                <td>{{ entry.region }}</td>
                <td>{{ entry.prediction }}</td>
                <td>{{ entry.predicted_on.strftime("%d %b %y %H:%M") }}</td>
                <td>
                    <form name="frmRemoveEntry" action="/userhistory" method="POST" novalidate>
                        <input type="hidden" name="id" value="{{entry.id}}">
                        <input type="submit" class="form-control btn-danger" value="Remove">
                    </form>
                </td>
            </tr>

            {% endfor %}


        </tbody>
    </table>




</div> <!-- div: row -->




{% endblock %}